com.verisign.epp.codec.registry

## Class EPPRegistryServices.EPPRegistryURI

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryServices.EPPRegistryURI

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    EPPRegistryServices.EPPRegistryObjURI, EPPRegistryServicesExt.EPPRegistryExtURI
  Enclosing class:
    EPPRegistryServices

      public abstract static class EPPRegistryServices.EPPRegistryURI
      extends java.lang.Object
      implements EPPCodecComponent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_REQUIRED`
    `static java.lang.String` | `ELM_EXT_URI`
    `static java.lang.String` | `ELM_OBJ_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryURI()`
    `EPPRegistryURI(java.lang.String uri, java.lang.Boolean required)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)`
    `java.lang.Boolean` | `getRequired()`
    `abstract java.lang.String` | `getRootName()`
    `java.lang.String` | `getUri()`
    `void` | `setRequired(java.lang.Boolean required)`
    `void` | `setUri(java.lang.String uri)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.verisign.epp.codec.gen.EPPCodecComponent

      `getNamespace`

- - ### Field Detail

    - #### ELM_OBJ_URI

          public static final java.lang.String ELM_OBJ_URI

      See Also:
        Constant Field Values

    - #### ELM_EXT_URI

          public static final java.lang.String ELM_EXT_URI

      See Also:
        Constant Field Values

    - #### ATTR_REQUIRED

          public static final java.lang.String ATTR_REQUIRED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryURI

          public EPPRegistryURI()

    - #### EPPRegistryURI

          public EPPRegistryURI(java.lang.String uri,
                                java.lang.Boolean required)

  - ### Method Detail

    - #### getRootName

          public abstract java.lang.String getRootName()

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Description copied from interface: `EPPCodecComponent`
      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM document used as a factory of DOM objects.
      Returns:
        instance root DOM element along with attribute child nodes.
      Throws:
        `EPPEncodeException` - Error encoding the DOM element tree.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Description copied from interface: `EPPCodecComponent`
      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - root DOM element associated with instance
      Throws:
        `EPPDecodeException` - Error decoding the DOM element tree.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Description copied from interface: `EPPCodecComponent`
      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getRequired

          public java.lang.Boolean getRequired()

    - #### setRequired

          public void setRequired(java.lang.Boolean required)

    - #### getUri

          public java.lang.String getUri()

    - #### setUri

          public void setUri(java.lang.String uri)

Copyright © VeriSign Inc. All Rights Reserved.